Description

If I try to run Kepler at the same time with two different users the second instance fails with the following error:

[run] Kepler Initializing...
[run] Command failed

[run] Arguments: -kepler

[run]

[run] Jjava.lang.Exception: Failed to parse "-kepler"

[run] at ptolemy.actor.gui.ConfigurationApplication.throwArgsException (ConfigurationAppl
ication.java:845)

[run] at ptolemy.actor.gui.ConfigurationApplication.&lt;init&gt; (ConfigurationApplicatio
n.java:320)

[run] at ptolemy.actor.gui.MoMLApplication.&lt;init&gt; (MoMLApplication. java:80)

[run at ptolemy.vergil.VergilApplication.&lt;init&gt; (VergilApplication.java:112)

[run at ptolemy.vergil.VergilApplication$l.run (VergilApplication. java:243)

[run at java.awt.event.InvocationEvent.dispatch (InvocationEvent. java:312)

[run at java.awt.EventQueue.dispatchEventImpl (EventQueue. java:733)
[run] at java.awt.EventQueue.access$200 (EventQueue. java:103)
]
[run at java.awt.EventQueue$3.run (EventQueue. java:694)

[run at java.awt.EventQueue$3.run (EventQueue. java:692)

[run at java.security.AccessController.doPrivileged (Native Method)

[run at java.security.ProtectionDomain$l.doIntersectionPrivilege (ProtectionDomain. java:
76)

[run] at java.awt.EventQueue.dispatchEvent (EventQueue. java:703)

[run] at java.awt.EventDispatchThread.pumpOneEventForFilters (EventDispatchThread. java:24
2)

[run] at java.awt.EventDispatchThread.pumpEventsForFilter (EventDispatchThread. java:161)

[run] at java.awt.EventDispatchThread.pumpEventsForHierarchy (EventDispatchThread. java:15
0)

[run] at java.awt.EventDispatchThread.pumpEvents (EventDispatchThread. java:146)

[run] at java.awt.EventDispatchThread.pumpEvents (EventDispatchThread. java:138)

[run] at java.awt.EventDispatchThread.run (EventDispatchThread. java:91)

[run] Caused by: java.lang.Exception: Failed to read configuration 'file:/diskb/scratch/vfor
chi/sw/reflex/common-2.4/configs/ptolemy/configs/kepler/configuration.xml’

[run] at ptolemy.vergil.VergilApplication._createDefaultConfiguration (VergilApplication.
java:335)

[run] at ptolemy.vergil.VergilApplication._createEmptyConfiguration (VergilApplication. ja
va:371)

[run] at ptolemy.actor.gui.ConfigurationApplication._parseArgs (ConfigurationApplication.
java:1327)

[run] at ptolemy.vergil.VergilApplication._parseArgs (VergilApplication.java:501)

[run] at ptolemy.actor.gui.ConfigurationApplication.&lt;init&gt; (ConfigurationApplicatio
n.java:244)

[run] ... 17 more

[run] Caused by: java.lang.Exception: Failed to call application initializer class "org.kepl
er.gui.KeplerInitializer". Perhaps the configuration file "file:/diskb/scratch/vforchi/sw/reflex/
common-2.4/configs/ptolemy/configs/kepler/configuration.xml" has a problem?

[run] at ptolemy.actor.gui.ConfigurationApplication.readConfiguration (ConfigurationAppli
cation.java:686)

[run] at ptolemy.vergil.VergilApplication._createDefaultConfiguration (VergilApplication.
java:333)

[run] ... 21 more
[run] Caused by: java.sqgl.SQLException: Access is denied

]

[run] at org.hsgldb. jdbc.Util.sglException (Unknown Source)

[run] at org.hsgldb. jdbc. jdbcConnection.&lt;init&gt; (Unknown Source)

[run] at org.hsqgldb. jdbcDriver.getConnection (Unknown Source)

[run] at org.hsgldb. jdbcDriver.connect (Unknown Source)

[run] at java.sgl.DriverManager.getConnection (DriverManager.java:571)

[run] at java.sqgl.DriverManager.getConnection (DriverManager.java:215)

[run] at org.kepler.util.sqgl.HSQL._getConnection (HSQL. java:489)

[run] at org.kepler.util.sqgl.DatabaseFactory.getDBConnection (DatabaseFactory.java:141)

[run] at org.kepler.gui.KeplerInitializer.initializeSystem(KeplerInitializer.java:171)

[run] at org.kepler.gui.KeplerInitializer.&lt;init&gt; (KeplerInitializer. java:98)

[run] at sun.reflect.NativeConstructorAccessorImpl.newInstance(O (Native Method)

[run] at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessor
Impl.java:57)

[run] at sun.reflect.DelegatingConstructorAccessorImpl.newlInstance (DelegatingConstructor
AccessorImpl. java:45)

[run] at java.lang.reflect.Constructor.newInstance (Constructor.java:526)

[run] at java.lang.Class.newlInstance (Class.java:374)

[run] at ptolemy.actor.gui.ConfigurationApplication.readConfiguration(ConfigurationAppli
cation. java:684)

[run] ... 22 more

[run] Checking for patches...

And the attached window pops up.
Are there any plans to fix this or is it there a workaround?

History

#1 - 07/20/2015 05:36 PM - Matt Jones

What version of Kepler do you have? | thought we had worked out these issues with launching multiple versions of Kepler with the 2.4 release.
Details of the conflicts with HSQL ports for multiple instances are described here: https://kepler-project.org/developers/reference/accessing-hsal

Dan Crawl, do you have a sense whether this SQL exception on launching the second error is related to HSQL port conflicts? Seems like this should
work under Kepler 2.4.

#2 - 07/20/2015 05:36 PM - Matt Jones

- Assignee set to Daniel Craw!

#3 - 07/21/2015 12:02 PM - Daniel Crawl

This problem is fixed in the Kepler svn trunk and in Kepler 2.4 as a patch. If you are using Kepler 2.4, make sure you have downloaded the patches.
You can check by going to Tools -> Module Manager, and in the Current Suite tab list of modules, you should see core-2.4.1. If you have core-2.4.0,
then you'll need to download the patches by going to the Available Suites and Modules tab and clicking on Check for Patches Now.

The error message in the stack trace looks like the second Kepler instance is trying to connect to the first instance using the same port.
